package com.zzsn.common.poi;

import java.util.List;


public class BaseTableData {
	private String tableNameCn;
	private String tableName;
	private List<Metadata> metaList;
	private String orderBy;
	private String order;

	public BaseTableData(){

	}

	public BaseTableData(String tableNameCn, String tableName, List<Metadata> metaList){
		this.tableNameCn = tableNameCn;
		this.tableName = tableName;
		this.metaList = metaList;
	}

	public BaseTableData(String tableNameCn, String tableName, List<Metadata> metaList, String orderBy, String order){
		this(tableNameCn, tableName, metaList);
		this.orderBy = orderBy;
		this.order = order;
	}

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public List<Metadata> getMetaList() {
		return metaList;
	}

	public void setMetaList(List<Metadata> metaList) {
		this.metaList = metaList;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	public String getTableNameCn() {
		return tableNameCn;
	}

	public void setTableNameCn(String tableNameCn) {
		this.tableNameCn = tableNameCn;
	}


}
